Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Class JAbstractMethod

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JAbstractMethod

All Implemented Interfaces:
  HasAnnotations, HasMetaData, HasTypeParameters

Direct Known Subclasses:
  JConstructor, JMethod

    public abstract class JAbstractMethod

extends java.lang.Object
implements HasAnnotations, HasMetaData, HasTypeParameters

Common superclass for `JMethod` and `JConstructor`.

Method Summary
`void` | `addMetaData(java.lang.String tagName, java.lang.String[] values)` Adds additional metadata.
`void` | `addModifierBits(int bits)`
`void` | `addThrows(JType type)`
`JParameter` | `findParameter(java.lang.String name)`
`
`<T extends java.lang.annotation.Annotation> T`
` | `getAnnotation(java.lang.Class<T> annotationClass)` Returns an instance of the specified annotation type if it is present on this element or `null` if it is not.
`abstract JClassType` | `getEnclosingType()` Gets the type in which this method or constructor was declared.
`java.lang.String[][]` | `getMetaData(java.lang.String tagName)` Gets each list of metadata for the specified tag name.
`java.lang.String[]` | `getMetaDataTags()` Gets the name of available metadata tags.
`protected int` | `getModifierBits()`
`java.lang.String` | `getName()`
`JParameter[]` | `getParameters()`
`abstract java.lang.String` | `getReadableDeclaration()`
`JType[]` | `getThrows()`
`JTypeParameter[]` | `getTypeParameters()` Returns the type parameters on this element.
`JAnnotationMethod` | `isAnnotationMethod()`
`boolean` | `isAnnotationPresent(java.lang.Class<? extends java.lang.annotation.Annotation> annotationClass)` Returns `true` if this item has an annotation of the specified type.
`abstract JConstructor` | `isConstructor()`
`boolean` | `isDefaultAccess()`
`abstract JMethod` | `isMethod()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isVarArgs()`
`void` | `setVarArgs()`
`protected void` | `toStringParamsAndThrows(java.lang.StringBuilder sb)`
`protected void` | `toStringTypeParams(java.lang.StringBuilder sb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addMetaData

    public void addMetaData(java.lang.String tagName,
                            java.lang.String[] values)

  Description copied from interface: `HasMetaData`
  Adds additional metadata.

  Specified by:
    `addMetaData` in interface `HasMetaData`

### addModifierBits

    public void addModifierBits(int bits)

### addThrows

    public void addThrows(JType type)

### findParameter

    public JParameter findParameter(java.lang.String name)

### getAnnotation

    public <T extends java.lang.annotation.Annotation> T getAnnotation(java.lang.Class<T> annotationClass)

  Description copied from interface: `HasAnnotations`
  Returns an instance of the specified annotation type if it is present on this element or `null` if it is not.

  Specified by:
    `getAnnotation` in interface `HasAnnotations`
  Parameters:
    `annotationClass` - annotation type to search for
  Returns:
    instance of the specified annotation type if it is present on this element or `null` if it is not

### getEnclosingType

    public abstract JClassType getEnclosingType()

  Gets the type in which this method or constructor was declared.

### getMetaData

    public java.lang.String[][] getMetaData(java.lang.String tagName)

  Description copied from interface: `HasMetaData`
  Gets each list of metadata for the specified tag name.

  Specified by:
    `getMetaData` in interface `HasMetaData`

### getMetaDataTags

    public java.lang.String[] getMetaDataTags()

  Description copied from interface: `HasMetaData`
  Gets the name of available metadata tags.

  Specified by:
    `getMetaDataTags` in interface `HasMetaData`

### getName

    public java.lang.String getName()

### getParameters

    public JParameter[] getParameters()

### getReadableDeclaration

    public abstract java.lang.String getReadableDeclaration()

### getThrows

    public JType[] getThrows()

### getTypeParameters

    public JTypeParameter[] getTypeParameters()

  Description copied from interface: `HasTypeParameters`
  Returns the type parameters on this element.

  Specified by:
    `getTypeParameters` in interface `HasTypeParameters`
  Returns:
    the type parameters on this element, or zero-sized array if this element is not generic

### isAnnotationMethod

    public JAnnotationMethod isAnnotationMethod()

### isAnnotationPresent

    public boolean isAnnotationPresent(java.lang.Class<? extends java.lang.annotation.Annotation> annotationClass)

  Description copied from interface: `HasAnnotations`
  Returns `true` if this item has an annotation of the specified type.

  Specified by:
    `isAnnotationPresent` in interface `HasAnnotations`
  Returns:
    `true` if this item has an annotation of the specified type

### isConstructor

    public abstract JConstructor isConstructor()

### isDefaultAccess

    public boolean isDefaultAccess()

### isMethod

    public abstract JMethod isMethod()

### isPrivate

    public boolean isPrivate()

### isProtected

    public boolean isProtected()

### isPublic

    public boolean isPublic()

### isVarArgs

    public boolean isVarArgs()

### setVarArgs

    public void setVarArgs()

### getModifierBits

    protected int getModifierBits()

### toStringParamsAndThrows

    protected void toStringParamsAndThrows(java.lang.StringBuilder sb)

### toStringTypeParams

    protected void toStringTypeParams(java.lang.StringBuilder sb)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD